net.sf.cglib.proxy

## Interface InvocationHandler

- All Superinterfaces:
    Callback

      public interface InvocationHandler
      extends Callback

  `InvocationHandler` replacement (unavailable under JDK 1.2). This callback type is primarily for use by the `Proxy` class but may be used with `Enhancer` as well.
  Version:
    $Id: InvocationHandler.java,v 1.3 2004/06/24 21:15:20 herbyderby Exp $
  Author:
    Neeme Praks neeme@apache.org

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

- - ### Method Detail

    - #### invoke

          java.lang.Object invoke(java.lang.Object proxy,
                                java.lang.reflect.Method method,
                                java.lang.Object[] args)
                                  throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`
      See Also:
        `java.lang.reflect.InvocationHandler#invoke(java.lang.Object, java.lang.reflect.Method, java.lang.Object)`

Copyright (c) 2001 - Apache Software Foundation